Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: linux-lowlatency kernel in Gutsy?  (gelezen 1185 keer)

Offline Steven Klein Haneveld

  • Lid
  • Steunpunt: Nee
linux-lowlatency kernel in Gutsy?
« Gepost op: 2008/01/29, 22:49:40 »
Mensen,

In Feisty draaide ik op de low latency kernel.

Kan dat met Gutsy ook?

Die kernel staat echter niet meer in de repo's. Weet iemand waar ik hem vandaan moet halen?

Bedankt voor het meedenken,

Offline profoX

  • Lid
    • wesley
    • Lionslink
  • Steunpunt: Nee
linux-lowlatency kernel in Gutsy?
« Reactie #1 Gepost op: 2008/01/29, 23:18:30 »
je bent waarschijnlijk op zoek naar het pakket "linux-rt"
Human Knowledge Belongs To The World -- Antitrust (2001)
Nederlandstalige Ubuntu documentatie van Ubuntu-NL (wiki)

Offline Steven Klein Haneveld

  • Lid
  • Steunpunt: Nee
linux-lowlatency kernel in Gutsy?
« Reactie #2 Gepost op: 2008/01/30, 06:58:18 »
Inderdaad, Profox,
bedankt :-)

edit:
iets te vroeg gelachen.
Ik start zojuist op en kies in Grub voor de linux-rt.
Maar helaas start hij dan niet goed door. Ik krijg zelfs geen splash scherm, geen gnome, noppes.

Opstarten in generic dus.... Helaas. Die start wel redelijk op, maar blijft hangen. Ik krijg een paar lege panelen en kan verder niets doen.

Ik werk nu vanaf de live-cd.

Enig idee wat er mis gaat en vooral: wat ik doe om weer terug op de rails te geraken?

Offline profoX

  • Lid
    • wesley
    • Lionslink
  • Steunpunt: Nee
linux-lowlatency kernel in Gutsy?
« Reactie #3 Gepost op: 2008/01/30, 13:30:55 »
Ai. Je hebt toch het metapakket "linux-rt" geïnstalleerd en niet "linux-image-2.6.22-14-rt" ofzo?

Indien nee, installeer het eens in de recovery console met: apt-get install linux-rt
Indien ja, kijk eens wat de commando's "apt-cache policy linux-image-$(uname -r)" en "apt-cache policy linux-restricted-modules-$(uname -r)" zeggen bij "Geïnstalleerd"
Human Knowledge Belongs To The World -- Antitrust (2001)
Nederlandstalige Ubuntu documentatie van Ubuntu-NL (wiki)

Offline Steven Klein Haneveld

  • Lid
  • Steunpunt: Nee
linux-lowlatency kernel in Gutsy?
« Reactie #4 Gepost op: 2008/01/30, 19:39:27 »
Bedankt Profox.

Ja, heb het metapakket gedaan. Synaptic installeerde toen ook die andere pakketten allemaal mee trouwens, maar ik ga ervan uit dat Synaptic zijn werk gewoon goed doet :-)

Zal die comando's eens proberen.

Edit: ik weet niet of het wat uitmaakt (het leek me van niet), maar ik ben naar de recovery van linux-generic gegaan.

Deze invoer:
apt-cache policy linux-image-$(uname -r)

installed: 2.6.22-14.47
En deze:
apt-cache policy linux-restricted-modules-$(uname -r)

installed: 2.6.22-14.10
Wat mij betreft lijkt dat te kloppen..... Hoe zie jij dat?

Edit 2:
Zojuist opgestart in linux generic.
Deze start nu wel helemaal door.

Nu die linux-rt nog aan de praat krijgen.....

In elk geval bedankt zover.

Offline profoX

  • Lid
    • wesley
    • Lionslink
  • Steunpunt: Nee
linux-lowlatency kernel in Gutsy?
« Reactie #5 Gepost op: 2008/01/31, 00:23:13 »
Het maakt wel uit voor die commando's of je in linux-rt of linux-generic boot ;)
Omdat die $(uname -r) de versie van je kernel daar plakt, als je generic draait is die anders.. met dit commando krijg je sowieso wat ik wou weten, maakt dan niet meer uit in welke kernel je boot (hoeft ook niet recovery console te zijn, kan ook in een normaal terminalvenster):

apt-cache policy linux-image-2.6.22-14-rt
apt-cache policy linux-restricted-modules-2.6.22-14-rt

Als die beide geïnstalleerd blijken te zijn.. vertel me dan eens waar het probleem zich precies voordoet? kan je exact omschrijven wat er gebeurt wanneer je in GRUB voor de -rt-kernel kiest?
Human Knowledge Belongs To The World -- Antitrust (2001)
Nederlandstalige Ubuntu documentatie van Ubuntu-NL (wiki)

Offline Steven Klein Haneveld

  • Lid
  • Steunpunt: Nee
linux-lowlatency kernel in Gutsy?
« Reactie #6 Gepost op: 2008/01/31, 07:35:37 »
Zoals je in mijn vorige post kon zien: beiden staan geinstalleerd - alleen van de restricted-modules is het wel een oudere versie..... Is dat erg?

- vanmorgen boot ik in generic.
Gnome startte wederom niet goed, want ik kreeg weer lege panelen en de terminal reageerde ook niet. De mail en firefox werkten wel, via sneltoetsen.

- booten in linux-rt.
Hier komt het:
- eerst krijg ik een Ubuntu logo te zien, met de voortgangsbalk.
- gisteren ging hij ook nog een partitie checken (jeweetwel, omdat hij na 21x opsterten niet had gecheckt)
- daarna weer die voortgangsbalk
- op het moment dat je denkt: nu moet ik dat voetje van Gnome in beeld krijgen, op dat moment draait hij vast en verdwijnt elk beeld (ik krijg "no signal" te lezen).

Zegt dit je iets?

tuxido_devito

  • Gast
linux-lowlatency kernel in Gutsy?
« Reactie #7 Gepost op: 2008/01/31, 08:19:05 »
Mischien een dom vraagje, wat is de low-latency kernel?

Offline Steven Klein Haneveld

  • Lid
  • Steunpunt: Nee
linux-lowlatency kernel in Gutsy?
« Reactie #8 Gepost op: 2008/02/01, 07:33:22 »
Citaat van: tuxido_devito
Mischien een dom vraagje, wat is de low-latency kernel?
Een kernel, die meer tijd geeft aan realtime processen. Dit is bijvoorbeeld van belang als ik muziek opneem. Ubuntu Studio heeft die kernel ook nodig voor zijn audio software.

Offline Steven Klein Haneveld

  • Lid
  • Steunpunt: Nee
linux-lowlatency kernel in Gutsy?
« Reactie #9 Gepost op: 2008/02/01, 19:26:29 »
Bij dezen breng ik dit probleem nog even onder de aandacht. Alvast dank voor het meedenken ;-)

Offline eendje

  • Lid
  • Steunpunt: Nee
linux-lowlatency kernel in Gutsy?
« Reactie #10 Gepost op: 2008/02/01, 20:17:09 »
Raar dat er nog niet weer gereageerd is...

Citaat van: sisosteven
Zoals je in mijn vorige post kon zien: beiden staan geinstalleerd - alleen van de restricted-modules is het wel een oudere versie..... Is dat erg?
Het is van belang dat de versies exact gelijk zijn anders werkt het niet. Dus even in Synaptic de goede versies opzoeken en installeren.
Een dag niets geleerd is een dag niet geleefd!
Ik blog dus ik besta!
__________________________________________________________
Een vraag? Heb je al eens gekeken op: http://wiki.ubuntu-nl.org/FAQ?

Offline profoX

  • Lid
    • wesley
    • Lionslink
  • Steunpunt: Nee
linux-lowlatency kernel in Gutsy?
« Reactie #11 Gepost op: 2008/02/02, 03:12:35 »
Het is normaal dat het na de punt een andere versie is. Dat heeft namelijk te maken met een 'revisie' en niet met een 'versie'. Volgens mij een probleem met je videodriver ofzo. Heb je toevallig je videodriver handmatig geïnstalleerd van de website van je fabrikant? Wat voor videokaart heb je?
Human Knowledge Belongs To The World -- Antitrust (2001)
Nederlandstalige Ubuntu documentatie van Ubuntu-NL (wiki)

Offline Steven Klein Haneveld

  • Lid
  • Steunpunt: Nee
linux-lowlatency kernel in Gutsy?
« Reactie #12 Gepost op: 2008/02/02, 08:03:27 »
Ja, Profox.
Hier dacht ik gisteravond zelf ook al aan. Het kan aan de videodriver liggen.

Ik heb een ATI kaartje. Ik heb daarvoor de nieuwste driver van hun website gedownload en geinstalleerd.

Hoe vervang ik die het best weer voor de restricted driver die Ubuntu zelf voorsteld?

Bij installatie heb ik trouwens die nieuwe versie gewoon geinstalleerd - zonder de andere driver uit te zetten. Had dat wel gemoeten? Of is dat geen punt?

Offline Steven Klein Haneveld

  • Lid
  • Steunpunt: Nee
linux-lowlatency kernel in Gutsy?
« Reactie #13 Gepost op: 2008/02/04, 19:48:46 »
Ik reageer zelf nog maar even.
Ik heb inmiddels ontdekt, dat ik echt heel erg dom ben geweest.
Ik dacht die ati-driver (zie vorige post) gewoon te kunnen installeren. Nu zie ik echter pas hun handleiding en kom ik erachter dat ik iets meer had moeten doen dan domweg installeren..... Vermoedelijk is dat de reden van een instabiele zooi hier.

- Hoe haal ik die nieuwe driver er weer helemaal af?

- Heeft iemand een idee hoe ik die linux-rt aan de praat kan krijgen? Heb nog steeds niets kunnen vinden.....

Alvast bedankt voor het meedenken,